Skip to content

List available photos

GET
/cms/photo
curl --request GET \
--url https://api.example.com/cms/photo \
--header 'API-Key: <API-Key>'

Returns a list of available photos.

limit
integer
>= 1 <= 200
page
integer
>= 1
anything
string

Search term that matches any field

name
string
description
string
photographer
string
location
string
people
string
source
string
keywords
string
date_from
string format: date
date_to
string format: date
user
integer

User ID of the uploader

parent
integer

Parent content ID

ids

Comma-separated attachment ids

string
lowres
string

If set, only return low-resolution photos

show_dupes
string

If set, include duplicate or re-used photos in the results

Photo results

Media typeapplication/json
object
page
integer
total

Total number of photos (numeric string)

string
data
Array<object>
Attachment

API representation of an attachment (images, video, files)

object
id

Attachment ID (numeric string)

string
name

Name

string
nullable
description

Description

string
nullable
type

Type (image|video|file)

string
url

Public URL

string
nullable
width

Width in pixels

integer format: int32
height

Height in pixels

integer format: int32
focal

Focal point as “x% y%”

string
nullable
transforms

Transforms (list of available image transforms)

Array<object>
object
x

Width in pixels (numeric string)

string
y

Height in pixels (numeric string)

string
url

URL of the transformed image

string
urls

Additional urls per transform

object
url_medium

Search title

string
url_highres

Search description

string
url_original

Social title

string
video

Video object when type is video

nullable
One of:
Video

API representation of a video

object
id

Video ID (numeric string)

string
title

Title

string
url

URL

string
duration

Duration in seconds (numeric string)

string
number

Episode number (numeric string)

string
nullable
status

Status

string
showId

Show ID (numeric string)

string
nullable
showName

Show name

string
nullable
showUrl

Show URL

string
nullable
brief

Brief

string
nullable
thumbnail

Thumbnail URL

string
nullable
thumbnailPlay

ThumbnailPlay URL

string
nullable
filename

Filename/URL

string
nullable
publishDate

Publish date

string
nullable
views

Views (numeric string)

string
publish

Publish flag

nullable
formats

Formats

Array<object>
nullable
Video_Format

API representation of a video format

object
format

Format

string
filename

Filename/URL

string
cdnPath

CDN path

string
nullable
mime

MIME type

string
duration

Duration in seconds

integer format: int32
nullable

Example

{
"total": "66643",
"data": [
{
"id": "110586",
"transforms": [
{
"x": "200",
"y": "100"
}
],
"video": {
"id": "4903",
"duration": "171",
"number": "1",
"showId": "2",
"views": "0"
}
}
]
}